Xeonr Developer Docs
UplApiUploads

List upload metadata

POST
/uplim.api.v1.BucketUploadsService/ListUploadMetadata

Lists all metadata entries attached to an upload (common:* and integration:*).

Authorization

OAuth2 upl:bucket:read
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:bucket:read

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?&
uploadRef?&
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/ListUploadMetadata" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "entries": [
    {
      "key": "string",
      "valueType": "METADATA_VALUE_TYPE_UNSPECIFIED",
      "value": {
        "arrayValue": [
          {}
        ]
      },
      "title": "string",
      "iconName": "string",
      "hiddenFromUsers": true
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}